## libkqueue-dmo 2.6.3

=== CMakeLists.txt ===
#
# Copyright (c) 2011 Marius Zwicker <marius@mlba-team.de>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

set(PROJECT_VERSION 2.6.3)

option(ENABLE_STATIC "Build static library" ON)
option(ENABLE_SHARED "Build shared library" ON)

if(EXISTS "/etc/debian_version")
  cmake_minimum_required(VERSION 3.7.2)
else()
  # KLUDGE: assumes RPM here
  # For RPM packaging to work correctly version >= 3.8 is required
  cmake_minimum_required(VERSION 3.8.0)
endif()

# Both variables used in src/version.h.in
string(TIMESTAMP PROJECT_VERSION_DATE "%b %d %Y at %H:%M:%S")

execute_process(COMMAND git rev-parse --short=8 HEAD
                OUTPUT_VARIABLE LIBKQUEUE_VERSION_COMMIT
                OUTPUT_STRIP_TRAILING_WHITESPACE
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

if(LIBKQUEUE_VERSION_COMMIT STREQUAL "")
	unset(LIBKQUEUE_VERSION_COMMIT)
endif()

# The version may be overridden when building packages by defining
# VERSION_OVERRIDE. Otherwise try to pull the number of commits
# since last tag from git to get a unique version number.
if(VERSION_OVERRIDE)
  MESSAGE("Version ${VERSION_OVERRIDE} (${LIBKQUEUE_VERSION_COMMIT}) [override]")
  set(PROJECT_VERSION "${VERSION_OVERRIDE}")
  set(CPACK_PACKAGE_VERSION "${VERSION_OVERRIDE}")
else()
  execute_process(COMMAND sh -c "git describe --tags --match 'v*' | grep '-' | cut -d- -f2"
                  OUTPUT_VARIABLE PROJECT_VERSION_RELEASE
                  OUTPUT_STRIP_TRAILING_WHITESPACE
                  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

  if(PROJECT_VERSION_RELEASE STREQUAL "")
    MESSAGE("Version ${PROJECT_VERSION} (${LIBKQUEUE_VERSION_COMMIT})")
    unset(PROJECT_VERSION_RELEASE)
  else()
    # Release 1 is the default, so we need to start at release 2
    MATH(EXPR PROJECT_VERSION_RELEASE "${PROJECT_VERSION_RELEASE}+1")
    MESSAGE("Version ${PROJECT_VERSION}-${PROJECT_VERSION_RELEASE} (${LIBKQUEUE_VERSION_COMMIT})")
    set(LIBKQUEUE_VERSION_RELEASE ${PROJECT_VERSION_RELEASE})
  endif()
endif()

project(libkqueue VERSION ${PROJECT_VERSION}
                  LANGUAGES C)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/version.h @ONLY)

enable_testing()

set(CMAKE_C_VISIBILITY_PRESET hidden)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_STANDARD 11)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif()

#
# Address Sanitize
#
if(ENABLE_ASAN)
  #
  # -fsanitize=address           - Build with address sanitizer support
  # -fno-omit-frame-pointer      - Always keep the frame pointer in a register
  # -fno-optimize-sibling-calls  - Don't optimize away tail recursion.
  #
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fno-omit-frame-pointer -fno-optimize-sibling-calls")
  list(APPEND DEBUG_FSANITIZERFLAGS "address")
  MESSAGE("ENABLING ASAN")
endif()

#
# LeakSanitizer
#
if(ENABLE_LSAN)
  #
  # -fsanitize=leak  - Build with lsan support
  #
  list(APPEND DEBUG_FSANITIZERFLAGS "leak")
  MESSAGE("ENABLING LSAN")
endif()

#
# UndefinedBehaviour
#
if(ENABLE_UBSAN)
  #
  # -fsanitize=undefined    - Build with ubsan support
  # -fno-omit-frame-pointer - Always keep the frame pointer in a register
  #
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fno-sanitize-recover=undefined -fno-omit-frame-pointer")
  set(CMAKE_LD_FLAGS_DEBUG "${CMAKE_LD_FLAGS_DEBUG} -fno-sanitize-recover=undefined")
  list(APPEND DEBUG_FSANITIZERFLAGS "undefined")
  MESSAGE("ENABLING UBSAN")
endif()

#
# ThreadSanitizer
#
if(ENABLE_TSAN)
  #
  # -fsanitize=thread  - Build with tsan support
  #
  list(APPEND DEBUG_FSANITIZERFLAGS "thread")
  MESSAGE("ENABLING TSAN")
endif()

if(DEBUG_FSANITIZERFLAGS)
  string (REPLACE ";" "," DEBUG_FSANITIZERFLAGS "${DEBUG_FSANITIZERFLAGS}")
  set(CMAKE_C_FLAGS_DEBUG "-fsanitize=${DEBUG_FSANITIZERFLAGS} ${CMAKE_C_FLAGS_DEBUG}")
  set(CMAKE_LD_FLAGS_DEBUG "-fsanitize=${DEBUG_FSANITIZERFLAGS} ${CMAKE_LD_FLAGS_DEBUG}")
  MESSAGE("CMAKE_C_FLAGS_DEBUG are \"${CMAKE_C_FLAGS_DEBUG}\"")
  MESSAGE("CMAKE_LD_FLAGS_DEBUG are \"${CMAKE_LD_FLAGS_DEBUG}\"")
endif()

set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
set(THREADS_PREFER_PTHREAD_FLAG TRUE)
find_package(Threads REQUIRED)

include(CheckIncludeFiles)
include(CheckSymbolExists)
include(GNUInstallDirs)

check_include_files(sys/eventfd.h HAVE_SYS_EVENTFD_H)
check_include_files(sys/queue.h HAVE_SYS_QUEUE_H)
check_include_files(sys/signalfd.h HAVE_SYS_SIGNALFD_H)
check_include_files(sys/timerfd.h HAVE_SYS_TIMERFD_H)
check_include_files(sys/types.h HAVE_SYS_TYPES_H)
if(ENABLE_TESTING)
  check_include_files(err.h HAVE_ERR_H)
endif()

check_symbol_exists(EPOLLRDHUP sys/epoll.h HAVE_EPOLLRDHUP)
check_symbol_exists(NOTE_TRUNCATE sys/event.h HAVE_NOTE_TRUNCATE)
if(ENABLE_TESTING)
  check_symbol_exists(NOTE_REVOKE sys/event.h HAVE_NOTE_REVOKE)
endif()

set(CMAKE_REQUIRED_DEFINITIONS -D_GNU_SOURCE)
check_symbol_exists(ppoll poll.h HAVE_DECL_PPOLL)
check_symbol_exists(SYS_pidfd_open sys/syscall.h HAVE_SYS_PIDFD_OPEN)

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}/include)

set(LIBKQUEUE_HEADERS
    include/sys/event.h
    )

set(LIBKQUEUE_SOURCES
    src/common/alloc.h
    src/common/debug.c
    src/common/debug.h
    src/common/filter.c
    src/common/kevent.c
    src/common/knote.c
    src/common/kqueue.c
    src/common/libkqueue.c
    src/common/map.c
    src/common/private.h
    src/common/queue.h
    src/common/tree.h
    )

if(CMAKE_SYSTEM_NAME MATCHES Windows)
  list(APPEND LIBKQUEUE_SOURCES
       src/windows/platform.c
       src/windows/platform.h
       src/windows/read.c
       src/windows/stdint.h
       src/windows/timer.c
       src/windows/user.c
       )
elseif(CMAKE_SYSTEM_NAME MATCHES "(Solaris|SunOS)")
  list(APPEND LIBKQUEUE_SOURCES
       src/posix/eventfd.c
       src/posix/eventfd.h
       src/solaris/platform.c
       src/solaris/platform.h
       src/solaris/signal.c
       src/solaris/socket.c
       src/solaris/timer.c
       src/solaris/user.c
       )
elseif(CMAKE_SYSTEM_NAME STREQUAL Linux)
  check_include_files(linux/limits.h HAVE_LINUX_LIMITS_H)
  check_include_files(linux/sockios.h HAVE_LINUX_SOCKIOS_H)
  check_include_files(linux/unistd.h HAVE_LINUX_UNISTD_H)
  check_include_files(syscall.h HAVE_SYSCALL_H)

  #
  #  Set the default prefix to something sane
  #
  if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "default install path" FORCE )
  endif()
  list(APPEND LIBKQUEUE_SOURCES
       src/linux/platform.c
       src/linux/platform.h
       src/linux/read.c
       src/linux/signal.c
       src/linux/timer.c
       src/linux/user.c
       src/linux/vnode.c
       src/linux/write.c
       )
    if (HAVE_SYS_PIDFD_OPEN)
        list(APPEND LIBKQUEUE_SOURCES src/linux/proc.c)
    else()
        list(APPEND LIBKQUEUE_SOURCES src/posix/proc.c)
    endif()
elseif(CMAKE_SYSTEM_NAME STREQUAL Emscripten)
  list(APPEND LIBKQUEUE_SOURCES
       src/posix/eventfd.c
       src/posix/eventfd.h
       src/posix/platform.c
       src/posix/platform.h
       src/posix/proc.c
       src/posix/read.c
       src/posix/signal.c
       src/posix/signal.c
       src/posix/timer.c
       src/posix/user.c
       src/posix/vnode.c
       src/posix/write.c
       )
else()
  message(FATAL_ERROR "unsupported host os")
endif()

source_group(includes
             FILES
               ${LIBKQUEUE_HEADERS})
source_group(src
             FILES
               ${LIBKQUEUE_SOURCES})

add_library(objlib OBJECT ${LIBKQUEUE_SOURCES} ${LIBKQUEUE_HEADERS})
if(ENABLE_SHARED)
  add_library(kqueue SHARED $<TARGET_OBJECTS:objlib>)
  # We should have absolute ABI compatibility between versions as none
  # of the public function signatures of variables will change.
  set_target_properties(kqueue PROPERTIES SOVERSION 0)
endif()
if(ENABLE_STATIC)
  add_library(kqueue_static STATIC $<TARGET_OBJECTS:objlib>)
  if (CMAKE_SYSTEM_NAME MATCHES Windows)
    set_target_properties(kqueue_static
            PROPERTIES
            OUTPUT_NAME kqueue_static
            ARCHIVE_OUTPUT_DIRECTORY kqueueStatic)
  else()
    set_target_properties(kqueue_static PROPERTIES OUTPUT_NAME kqueue)
  endif()
endif()

if(WIN32)
  target_compile_definitions(objlib PRIVATE _USRDLL;_WINDLL)
  target_compile_definitions(objlib PRIVATE _CRT_SECURE_NO_WARNINGS)
  target_compile_definitions(objlib PRIVATE WIN32_LEAN_AND_MEAN)
else()
  include(StdAtomicCheck)
  target_compile_definitions(objlib PRIVATE _XOPEN_SOURCE=600)
endif()

target_include_directories(objlib PRIVATE include)
if(NOT WIN32)
  target_include_directories(objlib PRIVATE src/common)
endif()

if(CMAKE_C_COMPILER_ID MATCHES GNU)
  target_compile_options(objlib PRIVATE -Wall -Werror)
endif()
if(MINGW AND CMAKE_C_COMPILER_ID MATCHES GNU)
  #TODO: is it needed at all?
  if (CMAKE_SIZEOF_VOID_P EQUAL 4)
    target_compile_options(objlib PRIVATE -march=i486)
  elseif(CMAKE_SIZEOF_VOID_P EQUAL 8)
    target_compile_options(objlib PRIVATE -march=x86-64)
  endif ()
endif()

if(WIN32)
  target_link_libraries(kqueue PRIVATE ws2_32)
endif()


if(ENABLE_TESTING)
  add_subdirectory(test)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL Emscripten)
  target_compile_options(objlib PRIVATE -pthread)
else()
  if(ENABLE_SHARED)
    target_link_libraries(kqueue PRIVATE Threads::Threads)
  endif()
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libkqueue.pc.in"
               "${CMAKE_CURRENT_BINARY_DIR}/libkqueue.pc"
               @ONLY)

#
#  Avoid conflicts by not trying to create existing directories
#
set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION ${CMAKE_INSTALL_FULL_MANDIR}
                                                  ${CMAKE_INSTALL_FULL_MANDIR}/man2
                                                  ${CMAKE_INSTALL_FULL_INCLUDEDIR}/sys)

install(FILES
          "${CMAKE_SOURCE_DIR}/include/sys/event.h"
        DESTINATION
          "${CMAKE_INSTALL_FULL_INCLUDEDIR}/kqueue/sys"
        COMPONENT headers)
if(TARGET kqueue)
  install(TARGETS kqueue
    DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}"
    COMPONENT libraries)
endif()
if(TARGET kqueue_static)
  install(TARGETS kqueue_static
    DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}"
    COMPONENT libraries)
endif()
install(FILES
          "${CMAKE_SOURCE_DIR}/kqueue.2"
        DESTINATION
          "${CMAKE_INSTALL_FULL_MANDIR}/man2"
        COMPONENT man)
install(FILES
          "${CMAKE_BINARY_DIR}/libkqueue.pc"
        DESTINATION
          "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig"
        COMPONENT pkgconfig)

set(CPACK_PACKAGE_NAME ${PROJECT_NAME})
# CPACK_PACKAGE_VERSION is set automatically
set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})

# Specify the location of source files to be installed by the debuginfo package
set(CPACK_BUILD_SOURCE_DIRS ${CMAKE_SOURCE_DIR}/src)

# Group the components into packages
# - devel contains header files and man pages and becomes libkqueue-devel
# - main contains everything else and becomes libkqueue

=== test/CMakeLists.txt ===
#
# Copyright (c) 2011 Marius Zwicker <marius@mlba-team.de>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
project(libkqueue-test LANGUAGES C)

set(LIBKQUEUE_TEST_SOURCES
    common.c
    kqueue.c
    libkqueue.c
    main.c
    proc.c
    read.c
    test.c
    timer.c
    user.c
    vnode.c
    write.c)
if(UNIX)
  list(APPEND LIBKQUEUE_TEST_SOURCES
       proc.c
       signal.c)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_executable(libkqueue-test ${LIBKQUEUE_TEST_SOURCES})
target_include_directories(libkqueue-test
                           PRIVATE
                             "${CMAKE_SOURCE_DIR}"
                             "${CMAKE_SOURCE_DIR}/include")
if(WIN32)
  target_compile_definitions(libkqueue-test
                             PRIVATE
                               _CRT_SECURE_NO_WARNINGS
                               _CRT_NONSTDC_NO_WARNINGS
                               _WINSOCK_DEPRECATED_NO_WARNINGS)
  if(CMAKE_C_COMPILER_ID MATCHES Clang)
    target_compile_options(libkqueue-test PRIVATE -Wno-unused-variable)
  endif()
elseif(UNIX)
  target_link_libraries(libkqueue-test PRIVATE -rdynamic)
endif()

#
# Don't link against -lkqueue on OSX and FreeBSD
#
if(NOT "${CMAKE_SYSTEM_NAME}" MATCHES "(Darwin|FreeBSD)")
  target_link_libraries(libkqueue-test
                        PRIVATE
                        kqueue
                        Threads::Threads)
endif()

if(WIN32)
  target_link_libraries(libkqueue-test
                        PRIVATE
                          ws2_32)
endif()

add_test(NAME libkqueue-test
         COMMAND libkqueue-test)

## libkqueue-dmo 2.3.1

=== debian/changelog ===
libkqueue-dmo (2.3.1-1.1) unstable; urgency=medium

  * Build for my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Feb 2021 11:08:13 +0100

libkqueue (2.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Mark Heily <mark@heily.com>  Mon, 06 Apr 2020 23:57:02 +0000

libkqueue (2.0.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC. (Closes: #831076)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 19 Mar 2020 19:47:14 +0000

libkqueue (2.0.3-1.1) unstable; urgency=medium

  * Non maintainer upload.
  * Fix build failures on 64bit architectures. Closes: #760302, #754376.
    - Replacing preprocessor macro X86_64 to LP64 in knote.c, since
      it is used to treat pointer rather than processor specifics (Fernando
      Seiti Furusat).

 -- Matthias Klose <doko@debian.org>  Thu, 11 Sep 2014 13:52:07 +0200

libkqueue (2.0.3-1) unstable; urgency=low

  * New upstream release (closes: #741009)

 -- Mark Heily <mark@heily.com>  Sun, 09 Mar 2014 20:45:35 -0400

libkqueue (2.0.2-1) unstable; urgency=low

  * New upstream release (closes: #724170, #669572, #729591)

 -- Mark Heily <mark@heily.com>  Sun, 23 Feb 2014 16:04:08 -0500

libkqueue (1.0.4-2) unstable; urgency=low
  * Integrate patches from Matthias Klose (Closes: #640029)
    * Add -Wno-error=unused-result to CFLAGS
    * Fix header checks for multiarch locations.

 -- Mark Heily <mark@heily.com>  Thu, 27 Oct 2011 20:58:03 -0400

libkqueue (1.0.4-1) unstable; urgency=low

  * Fix a FTBFS on 32-bit platforms caused by the use of /usr/lib64
  * Fix a lintian warning related to the copyright file

 -- Mark Heily <mark@heily.com>  Wed, 13 Jul 2011 20:52:41 -0400

libkqueue (1.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #625639)
  * Update control file with new website and standards version
  * Simplify the debian/rules file using debhelper for everything
  * Upgrade source/format to "3.0 (quilt)"
  * Remove the debian/watch file

 -- Mark Heily <mark@heily.com>  Sat, 09 Jul 2011 18:56:19 -0400

libkqueue (0.9.2-2) unstable; urgency=low

  * Apply patch to fix a bug in EV_RECEIPT (Closes: #595648)

 -- Mark Heily <mark@heily.com>  Sun, 05 Sep 2010 13:57:45 -0400

libkqueue (0.9.2-1) unstable; urgency=low

  * New upstream release (Closes: #591818)

 -- Mark Heily <mark@heily.com>  Thu, 05 Aug 2010 23:31:18 -0400

libkqueue (0.9.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Heily <mark@heily.com>  Wed, 04 Aug 2010 21:35:01 -0400

libkqueue (0.8-1) unstable; urgency=low

  * New upstream release

 -- Mark Heily <mark@heily.com>  Sun, 25 Jul 2010 10:09:35 -0400

libkqueue (0.7-1) unstable; urgency=low

  * Initial release (Closes: #576317)

 -- Mark Heily <mark@heily.com>  Sun, 28 Mar 2010 18:58:58 -0400

=== debian/control ===
Source: libkqueue-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/mheily/libkqueue/wiki
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, ninja-build

Package: libkqueue0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cross-platform library for kernel event notification
 libkqueue is a portable userspace implementation of the kqueue(2) kernel
 event notification mechanism found in FreeBSD and other BSD-based operating
 systems. The library translates between the kevent structure and the
 native kernel facilities of the host machine.

Package: libkqueue-dev
Section: libdevel
Architecture: any
Depends: libkqueue0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libkqueue
 Contains the header files, manpages, and static libraries for use in
 developing applications that use the libkqueue library.
 .
 libkqueue is a portable userspace implementation of the kqueue(2) kernel
 event notification mechanism found in FreeBSD and other BSD-based operating
 systems. The library translates between the kevent structure and the
 native kernel facilities of the host machine.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ -Scmake+ninja

## libkqueue-dmo 2.6.2

=== debian/changelog ===
libkqueue-dmo (2.6.2-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Jun 2022 16:51:14 +0200

libkqueue-dmo (2.6.1-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Apr 2022 08:40:04 +0200

libkqueue-dmo (2.6.0-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Mar 2022 13:21:26 +0100

libkqueue-dmo (2.5.1-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Mar 2022 23:30:13 +0100

libkqueue-dmo (2.5.0-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Sep 2021 08:42:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/mheily/libkqueue/wiki
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build
 
 Package: libkqueue0

=== debian/rules ===
#!/usr/bin/make -f

#CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
#CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
#CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
#LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ -Scmake+ninja

## libkqueue-dmo 2.6.3

=== debian/changelog ===
libkqueue-dmo (2.6.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Aug 2025 23:56:49 +0200

libkqueue-dmo (2.6.2-1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 31 Oct 2024 15:07:06 +0100

libkqueue-dmo (2.6.2-1) unstable; urgency=medium

  * Rename libraries for 64-bit time_t transition.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Feb 2024 15:59:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,13 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/mheily/libkqueue/wiki
-Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 13), cmake, ninja-build
+Standards-Version: 4.7.2
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), cmake, ninja-build
 
-Package: libkqueue0
+Package: libkqueue0t64
+Provides: ${t64:Provides}
+Replaces: libkqueue0
+Breaks: libkqueue0 (<< ${source:Version})
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: cross-platform library for kernel event notification
@@ -19,7 +22,7 @@
 Package: libkqueue-dev
 Section: libdevel
 Architecture: any
-Depends: libkqueue0 (= ${binary:Version}), ${misc:Depends}
+Depends: libkqueue0t64 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for libkqueue
  Contains the header files, manpages, and static libraries for use in
  developing applications that use the libkqueue library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo
